//////////////////////////////////////////////////////////////////////////////////
//                                                                              //
//  This file is part of Web Documentation Typesetter (WDT).                    //
//                                                                              //
//  WDT is free software; you  can redistribute it and/or  modify it under the  //
//  terms of the GNU General  Public License as published by the Free Software  //
//  Foundation; either version 2 of the License, or (at your option) any later  //
//  version.                                                                    //
//                                                                              //
//  WDT is distributed in the  hope that it  will be useful,  but WITHOUT  ANY  //
//  WARRANTY; without  even the implied warranty of MERCHANTABILITY or FITNESS  //
//  FOR A  PARTICULAR  PURPOSE.  See the GNU  General Public  License for more  //
//  details.                                                                    //
//                                                                              //
//  You should have received a copy of the GNU General Public License along     //
//  with WDT; if not, write to the Free Software Foundation, Inc.,              //
//  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                    //
//                                                                              //
//  For more information, see COPYING file                                      //
//                                                                              //
//  Copyright (C) 2005 Stanislav Yaglo                                          //
//                                                                              //
//  Author: Stanislav Yaglo <stas@plg.lrn.ru>                                   //
//                                                                              //
//////////////////////////////////////////////////////////////////////////////////

#ifndef	PARSER_H
#define	PARSER_H

#include <iostream>
#include <fstream>

#include "units.h"
#include "document.h"

class Parser
{
	Document *doc;
	std::string title;
public:
	Parser(Document *docum);
	~Parser();

	void parseDoc();
private:
	void scan();
	void tagFound(std::string line);
	void titleTag(std::string line);
	void authorTag(std::string line);
	void sectTag(std::string line);
	void chapTag(std::string line);
	int paraFound(int &iter);
	bool isBlock(std::string);
};

#endif	// PARSER_H

// vim:sw=4 ts=4

